using System;
using SqlSugar;

namespace DeviceRepair.Models.History
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("FieldsHistory")]
    public class FieldsHistory
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldID")]
        public int FieldID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "GUID")]
        public Guid? GUID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Operator")]
        public int Operator { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "OperationDate")]
        public DateTime OperationDate { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldCode")]
        public string FieldCode { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldText")]
        public string FieldText { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldValue")]
        public string FieldValue { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldType")]
        public string FieldType { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Status")]
        public bool Status { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "Description")]
        public string Description { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatBy")]
        public int CreatBy { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatOn")]
        public DateTime CreatOn { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyBy")]
        public int? ModifyBy { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }
    }
}
